Retrieve Multi-Record Workflow Details
Retrieves the fields required to initiate a specific multi-record workflow.
GET
/api/{version}/objects/objectworkflows/actions/{workflow_name}Headers
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{workflow_name} | The multi-record workflow name value. |
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/json" \
https://myvault.veevavault.com/api/v24.1/objects/objectworkflows/actions/Objectworkflow.approval__cResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": {
"name": "Objectworkflow.approval__c",
"controls": [
{
"prompts": [
{
"label": "Contents",
"name": "contents__sys"
}
],
"type": "contents",
"label": "Contents"
},
{
"prompts": [
{
"multi_value": false,
"label": "Description",
"name": "description__sys"
}
],
"type": "description",
"label": "Description"
}
],
"label": "Multi-Object",
"type": "multirecordworkflow",
"cardinality": "OneOrMany"
}
}Response Details
Section link for Response DetailsOn SUCCESS, the response lists the fields that must be configured with values in order to initiate the workflow. These are based on the controls configured in the workflow start step.
The response may include the following types of controls:
| Name | Description |
|---|---|
prompts | The input prompts which accept values when initiating the workflow. |
instructions | Contains static instruction text regarding workflow initiation. |
participant | Used to specify users who will be part of the workflow. |
date | Date selections for the workflow, such as due date. |
documents | Used to specify the documents for inclusion in the workflow. |
description | The document workflow description. |
variable | The variable prompts which accept values when initiating the workflow. |
Additionally, the response includes following fields describing the workflow: